/**
 * 业务信息详情
 * */
$(function() {
// 	//获取所属行业//获取税务类别//获取客户信誉等级
// 	$.when(helper.getDropList.getlistDropByDic($('#customer_subtrade'), 'KHSSHY'),
// 			helper.getDropList.getlistDropByDic($('#customer_taxCategory'), 'SWLB'),
// 			helper.getDropList.getlistDropByDic($('#customer_layer'), 'KHLayer'))
// 		.done(function() {
			var edit_id = helper.request.queryString("edit_id");
			if (edit_id) {
				getCustomer(edit_id);
			}
		// });

});

//获取详情
function getCustomer(ids) {
	$.getJSON(huayi.config.callcenter_url + "Notice/GetNotice", {
		noticeid: ids, //公告通知id
		token: $.cookie("token")
	}, function(data) {
		if (data.state.toLowerCase() == "success") {
			data = data.data;
			if (data) {
				$('#title').text(data.F_Title);	
				$('#iscus').text(formatterIsCus(data.F_isCus));
				$('#createuser').text(data.F_CreateByName);	
				$('#createtime').text(data.F_CreateOn);	
				if(data.F_Content){
					$('#content').html(helper.filter.content(data.F_Content));	
				}else{
					$('#content').text('暂无内容。。。');
				}
			}
		}
	});
}

// 格式化是否客户查看
function formatterIsCus(val){
	var statusMap = {
		0: '否',
		1: '是'
	}
  return statusMap[val];
}
